summaryrefslogtreecommitdiffstats
path: root/noise/modules/overlord
diff options
context:
space:
mode:
Diffstat (limited to 'noise/modules/overlord')
-rwxr-xr-xnoise/modules/overlord14
1 files changed, 14 insertions, 0 deletions
diff --git a/noise/modules/overlord b/noise/modules/overlord
new file mode 100755
index 00000000..ded8627a
--- /dev/null
+++ b/noise/modules/overlord
@@ -0,0 +1,14 @@
+#! /bin/sh
+set -euf
+
+# cd //
+cd $(dirname $(readlink -f $0))/../..
+
+case "${1---help}" in
+ --help)
+ echo "Make an announcement! Usage: /overlord <text>"
+ ;;
+ *)
+ exec god/overlord/index "$@"
+ ;;
+esac